%define name rep-gtk
%define version 0.13a
%define release 6mdk
%define libver 0.12.4

Name:		%{name}
Summary:	GTK+ binding for librep Lisp environment
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/GNOME and GTK+
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel 
BuildRequires: gdk-pixbuf-devel libglade-devel libjpeg-devel libpng-devel libtiff-devel libxml-devel zlib-devel
URL:		http://rep-gtk.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Requires:	librep >= %{libver}, gtk+ >= 1.2
BuildPreReq:	libglade-devel, gnome-libs-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}


%description
This is a binding of GTK+ for the librep Lisp interpreter.  It is based on 
Marius Vollmer's guile-gtk package (initially version 0.15, updated to 0.17), 
with a new glue-code generator.


%package libglade
Summary:	librep binding for the libglade library for loading user interfaces.
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}, libglade

%description libglade
This is a binding of libglade for the librep Lisp interpreter.  libglade allows 
applications to dynamically load XML descriptions of GTK+ widget hierarchies. 
These hierarchies may be created by the GLADE GUI builder.


%package gnome
Summary:	GNOME binding for librep
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}, gnome-libs, libglade, gdk-pixbuf

%description gnome
This is a binding of the various GNOME libraries for the librep Lisp 
interpreter. It include support for the basic GNOME functions, the GNOME user 
interface widgets, and the GNOME Canvas architecture, and the GNOME version
of libglade.


%prep
%setup -q


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%configure --with-libglade
make host_type=%{_target_platform}


%install
make install \
  host_type=%{_target_platform} \
  installdir=%{buildroot}%{_libexecdir}/rep/%{_target_platform}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-,root,root,0755)
%doc README README.guile-gtk ChangeLog gtk-1.2.defs gdk-1.2.defs
%{_libexecdir}/rep/%{_target_platform}/sgtk-types.so*
%{_libexecdir}/rep/%{_target_platform}/sgtk-types.la
%{_libexecdir}/rep/%{_target_platform}/gtk.so*
%{_libexecdir}/rep/%{_target_platform}/gtk.la

%files libglade
%defattr (-,root,root,0755)
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%{_libexecdir}/rep/%{_target_platform}/libglade.so*
%{_libexecdir}/rep/%{_target_platform}/libglade.la

%files gnome
%defattr (-,root,root,0755)
%doc gnome*.defs examples/gnome-test examples/canvas-test gdk-pixbuf*.defs
%{_libexecdir}/rep/%{_target_platform}/gnome*.so*
%{_libexecdir}/rep/%{_target_platform}/gnome*.la
%{_libexecdir}/rep/%{_target_platform}/libglade-gnome.so*
%{_libexecdir}/rep/%{_target_platform}/libglade-gnome.la
%{_libexecdir}/rep/%{_target_platform}/gdk-pixbuf.so*
%{_libexecdir}/rep/%{_target_platform}/gdk-pixbuf.la

%changelog
* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13a-6mdk
- Add support for gdk-pixbuf 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.13a-5mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13a-4mdk
- force version dependencies
- remove Packager

* Thu Jul 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13a-3mdk
- rebuild to fix problems with previous build (macro problems)

* Wed Jul 19 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13a-2mdk
- rebuild for directory changes

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13a-1mdk
- 0.13a
- more macroization

* Tue Jul 11 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13-1mdk
- 0.13

* Sun Jul  9 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12-1mdk
- 0.12
- specfile cleanup
- macroization

* Thu May 11 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.10-2mdk
- add --with-libglade so sawfish will build themer package

* Wed May 10 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.10-1mdk
- 0.10

* Fri Apr 14 2000 Vincent Danen <vdanen@linux-mandrake.com>
- fix groups
- applied helixcode gnome patch

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile cleanups
- 0.9.1

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Jan 30 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
